Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.lyo.core.query
Enum Value.Type

    java.lang.Object
      java.lang.Enum<Value.Type>
          org.eclipse.lyo.core.query.Value.Type

All Implemented Interfaces:
  Serializable, Comparable<Value.Type>

Enclosing interface:
  Value

    public static enum Value.Type

extends Enum<Value.Type>

Enum Constant Summary
`BOOLEAN`
`DECIMAL`
`LANGED_STRING`
`STRING`
`TYPED_STRING`
`URI_REF`

Method Summary
`static Value.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Value.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### URI_REF

    public static final Value.Type URI_REF

### BOOLEAN

    public static final Value.Type BOOLEAN

### DECIMAL

    public static final Value.Type DECIMAL

### STRING

    public static final Value.Type STRING

### TYPED_STRING

    public static final Value.Type TYPED_STRING

### LANGED_STRING

    public static final Value.Type LANGED_STRING

Method Detail

### values

    public static Value.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Value.Type c : Value.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Value.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All rights reserved.